summaryrefslogtreecommitdiffstats
path: root/source.local/l/system-config-printer
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
committer Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
commit55bce4decbbdde684c63507f88f4f33694579f4f (patch)
tree409994b26efea8c2a9f65206de616bed4f931d25 /source.local/l/system-config-printer
parentb100c7c57e8a1363adfffe22f68b6429b9576dd3 (diff)
downloadalienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.gz
alienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.xz
Update to Alien's ARM which allows XFCE to run on an ARM ChromeBook.
This large update brings Alien's ARM repository almost to the same level of package versions in slackware-current. THese updates were needed to make it possible to start a functional XFCE session on Samsung's ARM ChromeBook (XE303C12).
Diffstat (limited to 'source.local/l/system-config-printer')
-rw-r--r--source.local/l/system-config-printer/doinst.sh.gzbin380 -> 389 bytes
-rw-r--r--source.local/l/system-config-printer/system-config-printer-1.2.7.tar.xz.sigbin65 -> 0 bytes
-rwxr-xr-xsource.local/l/system-config-printer/system-config-printer.SlackBuild77
3 files changed, 42 insertions, 35 deletions
diff --git a/source.local/l/system-config-printer/doinst.sh.gz b/source.local/l/system-config-printer/doinst.sh.gz
index 260a4e5..85810fe 100644
--- a/source.local/l/system-config-printer/doinst.sh.gz
+++ b/source.local/l/system-config-printer/doinst.sh.gz
Binary files differ
diff --git a/source.local/l/system-config-printer/system-config-printer-1.2.7.tar.xz.sig b/source.local/l/system-config-printer/system-config-printer-1.2.7.tar.xz.sig
deleted file mode 100644
index 61d7680..0000000
--- a/source.local/l/system-config-printer/system-config-printer-1.2.7.tar.xz.sig
+++ /dev/null
Binary files differ
diff --git a/source.local/l/system-config-printer/system-config-printer.SlackBuild b/source.local/l/system-config-printer/system-config-printer.SlackBuild
index 5a520a5..af57e49 100755
--- a/source.local/l/system-config-printer/system-config-printer.SlackBuild
+++ b/source.local/l/system-config-printer/system-config-printer.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-# Copyright 2010 Eric Hameleers, Eindhoven, NL
-# Copyright 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2011, 2012 Eric Hameleers, Eindhoven, NL
+# Copyright 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -21,42 +21,45 @@
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
-# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+# Modified 2013 by Eric Hameleers <alien at slackware.com> for ARM port.
PKGNAM=system-config-printer
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-1.3.9}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:" -j4 "}
-
-# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
-if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
- esac
-fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- LIBDIRSUFFIX=""
+NUMJOBS=${NUMJOBS:" -j7 "}
+
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ # Automatically determine the architecture we're building on:
+ if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ fi
fi
case "$ARCH" in
@@ -100,16 +103,20 @@ CFLAGS="$SLKCFLAGS" \
--build=$TARGET
# Build and install:
-make $NUMJOBS udevrulesdir=/lib/udev/rules.d udevhelperdir=/lib/udev || make || exit 1
-make install DESTDIR=$PKG udevrulesdir=/lib/udev/rules.d udevhelperdir=/lib/udev || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG
+
+# Move the udev files to the usual Slackware location:
+mkdir -p $PKG/lib
+mv $PKG/etc/udev $PKG/lib/
# Slackware does not use PAM. Instead, your user must be in group 'lp'.
sed -i -e 's/at_console="true"/group="lp"/g' \
$PKG/etc/dbus-1/system.d/newprinternotification.conf
# Don't clobber the configuration file:
-mv $PKG/etc/dbus-1/system.d/newprinternotification.conf{,.new}
-mv $PKG/etc/dbus-1/system.d/printerdriversinstaller.conf{,.new}
+mv $PKG/etc/dbus-1/system.d/com.redhat.NewPrinterNotification.conf{,.new}
+mv $PKG/etc/dbus-1/system.d/com.redhat.PrinterDriversInstaller.conf{,.new}
# Add documentation:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION